MyBB Community Forums
[Rejected] Auto update or upgrade - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: Development (https://community.mybb.com/forum-161.html)
+--- Forum: Suggestions and Feedback (https://community.mybb.com/forum-199.html)
+---- Forum: Rejected Features (https://community.mybb.com/forum-195.html)
+---- Thread: [Rejected] Auto update or upgrade (/thread-164653.html)

Pages: 1 2 3 4


Auto update or upgrade - rajeevrrs55 - 2014-12-24

Hello,

i hear mybb 2.0 comes with amazing features. so i am here submitting my suggestion for mybb 2.0 project.



mybb 1.8 is already good and best then other, even it is best in paid forums software.

Today my topic is auto update or upgrade mybb version. this feature is not provided by all CMS but i have seen 2 to 3 CMS and web application software who are providing this feature.



The world best CMS "wordpress" providing this feature. if wordpress version update to new version then there is a features for upgrading wordpress version to new version with single click.

no need to download and over write the existing file.

I need to see this feature in mybb 2.0.

Please post your suggestion .


RE: Auto update or upgrade - Ben - 2014-12-27

I agree with you but I don't think it should upgrade to a whole new version for example; 1.8 to 2.0. It should just upgrade when security patches are released. I.E. 2.0.1


RE: Auto update or upgrade - Josh H. - 2014-12-28

The problem with this is that core edits for some plugins could be overwritten without the admin knowing in advance.


RE: Auto update or upgrade - rajeevrrs55 - 2014-12-28

yeah. i agree with your all suggestion.

but wordpress also contain plugin and they are changing there version from 3 to 4 but still this features are working fine.

this features are also possible in mybb without plugin affect and existing file affect.

I feel really happy seeing this features in mybb forums software, this features make mybb to next generation and it come in 1st. because none of the forums software providing this features.


RE: Auto update or upgrade - Josh H. - 2014-12-28

Quote:but wordpress also contain plugin and they are changing there version from 3 to 4 but still this features are working fine.

3 to 4 wasn't a huge upgrade, honestly. MyBB 1 to 2 will be a MUCH more significant leap.

Quote:this features are also possible in mybb without plugin affect and existing file affect.

How do you figure? If the right code changes, even in a minor release, any plugins can break. Remember the short period of confusion after the changes in 1.6.5? I do. Those were relatively small changes too.


RE: Auto update or upgrade - rajeevrrs55 - 2014-12-29

Okay. at least mybb can provide Auto update (one click upgrade) features in mybb series 1.8.3 to coming 1.8.x and next version 2.0 to 2.x.x .

but mybb developer must try for adding this features. "Nothing is impossible in the world"


RE: Auto update or upgrade - laie_techie - 2014-12-30

I say leave this out!

Not too long ago we had our version check service hacked. If autoupdate is installed, someone could hack the main server and have the malware propagate to every forum.

Autoupdate could override customizations (eg. Google SEO applies a patch to functions.php).

Forum admin should install the new version and verify functionality of existing plugins and modifications before rolling out to the live forum. How many people are still on the MyBB 1.6 branch because 1.8 breaks a needed plugin or theme?


RE: Auto update or upgrade - weBex - 2014-12-30

(2014-12-30, 04:16 PM)laie_techie Wrote: I say leave this out!

Not too long ago we had our version check service hacked. If autoupdate is installed, someone could hack the main server and have the malware propagate to every forum.

Autoupdate could override customizations (eg. Google SEO applies a patch to functions.php).

Forum admin should install the new version and verify functionality of existing plugins and modifications before rolling out to the live forum. How many people are still on the MyBB 1.6 branch because 1.8 breaks a needed plugin or theme?

This. By allowing auto-update, you're trusting a foreign entity to write data to your server files. That's just a major security issue.


RE: Auto update or upgrade - rajeevrrs55 - 2014-12-31

If mybb auto upgrade then security of mybb also auto upgrade. if you think like this. then nothing is possible. Think Positive.

If Wordpress think like this then this features never released but they think positive and released this features.

I have given my suggestion to mybb to develop next version to next generation. if it possible then do it or if not possible then ignore it

But i like to see this feature in mybb next generation and hope many of the user like to see this features in mybb.

And i do not like to continue conservation about this topic.

But i requested you to think once about this feature.

(2014-12-30, 05:32 PM)weBex Wrote: This. By allowing auto-update, you're trusting a foreign entity to write data to your server files. That's just a major security issue.



RE: Auto update or upgrade - laie_techie - 2014-12-31

(2014-12-31, 07:03 AM)rajeevrrs55 Wrote: I have given my suggestion to mybb to develop next version to next generation.  if it possible then do it or if not possible then ignore it

Instead of just voting down ideas, I find it helpful to explain why I oppose an idea to be core. Maybe someone knows of a way to mitigate my concerns. Maybe the MyBB team decides to implement an idea despite my objections. My opposition is against the idea, and not against you.